#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    uint16_t uint16_eq_const_0_0;
    int64_t int64_eq_const_1_0;
    uint16_t uint16_eq_const_2_0;
    uint8_t uint8_eq_const_3_0;
    uint16_t uint16_eq_const_4_0;

    if (size < 15)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&uint16_eq_const_0_0, &data[i], 2);
    i += 2;
    memcpy(&int64_eq_const_1_0, &data[i], 8);
    i += 8;
    memcpy(&uint16_eq_const_2_0, &data[i], 2);
    i += 2;
    memcpy(&uint8_eq_const_3_0, &data[i], 1);
    i += 1;
    memcpy(&uint16_eq_const_4_0, &data[i], 2);
    i += 2;


    if (uint16_eq_const_0_0 == 50798)
    if (int64_eq_const_1_0 == 5143363558960181380)
    if (uint16_eq_const_2_0 == 58930)
    if (uint8_eq_const_3_0 == 95)
    if (uint16_eq_const_4_0 == 28266)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
